<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:clickable="true"
    android:focusable="true">

    <LinearLayout
        android:id="@+id/group_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="vertical"
        app:layout_constraintBottom_toTopOf="@id/content"
        app:layout_constraintTop_toTopOf="parent"
        tools:ignore="UselessParent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding_huge"
            android:layout_marginEnd="@dimen/common_padding">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/group_base_info"
                android:textColor="@color/text_color_blue"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/base_info_switch"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center"
                android:text="@string/show"
                android:textColor="@color/title_background_color"
                android:textSize="@dimen/text_size_medium" />
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/line"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding"
            android:background="@color/line_color" />

        <LinearLayout
            android:id="@+id/group_base_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:orientation="vertical"
            android:visibility="gone">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/group_name"
                    android:textSize="@dimen/text_size_small" />

                <TextView
                    android:id="@+id/group_name"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/common_padding"
                    android:gravity="end"
                    android:textSize="@dimen/text_size_small" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/group_customer"
                    android:textSize="@dimen/text_size_small" />

                <TextView
                    android:id="@+id/group_customer"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/common_padding"
                    android:gravity="end"
                    android:textSize="@dimen/text_size_small" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/visit_country"
                    android:textSize="@dimen/text_size_small" />

                <TextView
                    android:id="@+id/visit_country"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:textSize="@dimen/text_size_small" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/visit_days"
                    android:textSize="@dimen/text_size_small" />

                <TextView
                    android:id="@+id/visit_days"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_small" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/visit_members"
                    android:textSize="@dimen/text_size_small" />

                <TextView
                    android:id="@+id/visit_members"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_small" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/during_time"
                    android:textSize="@dimen/text_size_small" />

                <TextView
                    android:id="@+id/during_time"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:textSize="@dimen/text_size_small" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:background="@color/line_color" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/content"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@id/buttons"
        app:layout_constraintTop_toBottomOf="@id/group_info">

        <LinearLayout
            android:id="@+id/filter"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="vertical"
            app:layout_constraintBottom_toTopOf="@id/buttons"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/group_info">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/filter_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

        </LinearLayout>

        <View
            android:layout_width="@dimen/line"
            android:layout_height="match_parent"
            android:background="@color/line_color" />

        <LinearLayout
            android:id="@+id/payment_list"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="3"
            android:background="@color/background_color"
            android:orientation="vertical"
            app:layout_constraintBottom_toTopOf="@id/buttons"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/filter"
            app:layout_constraintTop_toBottomOf="@id/group_info">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/segment_payment_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/buttons"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/content">

        <TextView
            android:id="@+id/revoke"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_reset_button"
            android:gravity="center"
            android:padding="@dimen/common_padding"
            android:text="@string/batch_revoke"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_medium"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/reject"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_delete"
            android:gravity="center"
            android:padding="@dimen/common_padding"
            android:text="@string/batch_reject"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_medium"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/pass"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_padding"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_solid_blue"
            android:gravity="center"
            android:padding="@dimen/common_padding"
            android:text="@string/batch_pass"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_medium"
            android:textStyle="bold" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>